Subject: bug#2707: 23.0.91; RMAIL summary not in step with main file

From: Richard M Stallman <[email-masked]>
Date: Wed, 18 Mar 2009 18:18:52 -0400

This is a consequence of the following change. Now rmail-expunge does
    not update the summary if called with dont-show non-nil.

When DONT-SHOW is non-nil, should rmail-expunge do this, or should the
caller do it?

The reason I am not sure is that the code seems to expect that summary
manipulation to also do the job of showing the message, and DONT-SHOW
says not to do that.